Connecter des objets

From FreeCAD Documentation
Jump to: navigation, search
This page is a translated version of the page Part JoinConnect and the translation is 100% complete.

Other languages:
English • ‎français • ‎italiano • ‎română • ‎русский
Arrow-left.svg Page précédente: Part JoinConnect.png Joindre des objets à paroi
Page suivante: Intégrer un objet Part JoinEmbed.png Arrow-right.svg

Part JoinConnect.svg Connecter des objets

Emplacement du menu
Pièce → Joindre → Connecter des objets
Ateliers
Part
Raccourci par défaut
Aucun
Introduit dans la version
-
Voir aussi
Connecter des objets, Intégrer des objets, Découpe, Opérations Booléennes, Évidement ou coque


Description

Outil de connexion pour joindre deux objets creux (par exemple deux tuyaux). Peut aussi joindre des coques et des fils.

JoinFeatures Connect.png

Comment l'utiliser

  1. Sélectionnez les objets à connecter.
    L'ordre de sélection n'a pas d'importance, l'action est symétrique. Il suffit de sélectionner un élément de chaque objet (par ex. leurs faces). Il est aussi possible de sélectionner un composé contenant toutes les formes à connecter, par ex. un Réseau Draft.
  2. Invoquez la commande Connecter des objets.

Un objet paramétrique Connect est créé. Les objets d'origine sont cachés et le résultat de l'intersection est affiché en 3D.

Propriétés

Connect

  • DONNÉESObjects: Liste les objets a connecter. En général deux objets suffisent, un compound d'objets fonctionne (Depuis V0.17, cette propriété n'est pas affichée dans l'éditeur de propriétés, mais seulement disponible en Python).
  • DONNÉESRefine: choisir d'appliquer ou non un Affinage de forme sur la forme finale. Par défaut cette valeur est déterminée par la case Affiner les modèles automatiquement après une opération booléenne dans les préférences Conception de pièce.
  • DONNÉESTolerance: Valeur de "flou". Il s'agit d'une tolérance supplémentaire à appliquer lors de la recherche d'intersections, en plus des tolérances stockées dans les formes d'entrée.

Exemple

  1. Créer un tuyau en appliquant un évidement sur un cylindre:
    JoinFeatures Example step1.png
  2. Créer un autre tuyau plus petit, et le placer pour qu'il perce le premier tuyau:
    JoinFeatures Example step2.png
  3. Sélectionner le premier tuyau puis le second, et cliquer sur l'option 'Connecter des objets' du menu déroulant Joindre des objets à paroi.
    JoinFeatures Example step3 Connect.png
  4. Utiliser divers outils de plan de coupe (Std Créer une section ..., Arch Section Plane, Arch Couper selon un plan) pour voir l'intérieur. Dans l'image ci-dessous, Arch Section Plane est utilisé.
    JoinFeatures Example step4 Connect.png

Algorithme

Les algorithmes derrière les outils Joindre sont très simples, et les comprendre est important pour utiliser les outils correctement. L'algorithme de Connecter, en particulier, est plus complexe que les autres, mais il suffit généralement d'y penser comme d'une variante symétrique de l'algorithme Intégrer (Embed).

1. Chaque objet est coupé à l'intersection avec l'autre (voir Fragmentation booléenne)

2. Parmi les morceaux d'un objet, seul le plus grand est conservé; tout le reste est jeté.

3. Les pièces d'intersection qui touchent au moins deux objets sont ajoutées au résultat. Ensuite, les pièces sont jointes pour former le résultat de Connecter.

Notes

  • Si, à l'étape 1, chaque objet reste en un seul morceau, le résultat de Connecter sera équivalent à l'union (booléenne) des objets.
  • Actuellement, tous les composés fournis sont explosés avant la connexion. Cela signifie que les composés à intersection automatique, qui ne sont pas valides pour toutes les autres opérations booléennes, sont valables pour Connecter. (Cela pourra être changé à l'avenir.)
  • La "plus grande" pièce est celle qui a la plus grande masse. C'est-à-dire que pour les solides, les volumes sont comparés; pour les coques et les faces, les zones sont comparées, etc.
  • Depuis FreeCAD v0.17.8053, et si la version OCC est la version 6.9.0 et ultérieure, Connecter est presque aussi rapide que toutes les autres opérations booléennes. Pour les versions plus anciennes, Connecter est environ 5 fois plus lent qu'une opération booléenne normale et ne fonctionne que sur les solides.

Script

L'outil Joindre peut être utilisé dans des macros à partir de la console Python en utilisant la fonction suivante:

BOPTools.JoinFeatures.makeConnect(name)
  • Crée une fonction Connect vide. La propriété 'Objets' doit être attribuée explicitement par la suite.
  • Renvoie l'objet nouvellement créé.

Connecter peut également être appliqué à des formes simples, sans avoir besoin d'un objet document, via :

Part.BOPTools.JoinAPI.connect(list_of_shapes, tolerance = 0.0)

Cela peut être utile pour créer des fonctionnalités de script personnalisées Python.

Exemple:

import Part
j = Part.BOPTools.JoinFeatures.makeConnect(name= 'Connect')
j.Objects = FreeCADGui.Selection.getSelection()

L'outil lui-même est implémenté en Python, voir /Mod/Part/BOPTools/JoinFeatures.py la où FreeCAD est installé.

Version

Cet outil est inclus à FreeCAD depuis V0.16.5069

L'outil a été ré-implémenté pour fonctionner via generalFuse dans FreeCAD V0.17.8053

Arrow-left.svg Page précédente: Part JoinConnect.png Joindre des objets à paroi
Page suivante: Intégrer un objet Part JoinEmbed.png Arrow-right.svg